/**
 * 
 */
package org.richfaces.model;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Nick Belaevski
 *         mailto:nbelaevski@exadel.com
 *         created 24.07.2007
 *
 */
public class Directory extends Entry {
	private List directories = new ArrayList();
	private List files = new ArrayList();;

	public List getDirectories() {
		return directories;
	}

	public void setDirectories(List directories) {
		this.directories = directories;
	}

	public List getFiles() {
		return files;
	}

	public void setFiles(List files) {
		this.files = files;
	}
	
	public void addDir(Directory directory) {
		this.directories.add(directory);
		directory.setParent(this);
	}

	public void addFile(File file) {
		this.files.add(file);
		file.setParent(this);
	}
}
